# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.6.7.9999
#hackport: flags: -portable,build-pong:pongserver,build-testserver:test-server

CABAL_FEATURES="lib profile haddock hoogle hscolour" # Fail to build: test-suite"
inherit haskell-cabal

DESCRIPTION="A web server for the Snap Framework"
HOMEPAGE="http://snapframework.com/"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~ppc64 ~x86"
IUSE="debug openssl pong-server test-server"

RDEPEND=">=dev-haskell/attoparsec-0.12:=[profile?]
	>=dev-haskell/blaze-builder-0.4:=[profile?] <dev-haskell/blaze-builder-0.5:=[profile?]
	>=dev-haskell/bytestring-builder-0.10.4:=[profile?] <dev-haskell/bytestring-builder-0.11:=[profile?]
	>=dev-haskell/case-insensitive-1.1:=[profile?] <dev-haskell/case-insensitive-1.3:=[profile?]
	>=dev-haskell/clock-0.7.1:=[profile?] <dev-haskell/clock-0.9:=[profile?]
	>=dev-haskell/io-streams-1.3:=[profile?] <dev-haskell/io-streams-1.6:=[profile?]
	>=dev-haskell/io-streams-haproxy-1.0:=[profile?] <dev-haskell/io-streams-haproxy-1.1:=[profile?]
	>=dev-haskell/lifted-base-0.1:=[profile?] <dev-haskell/lifted-base-0.3:=[profile?]
	>=dev-haskell/mtl-2.0:=[profile?] <dev-haskell/mtl-2.3:=[profile?]
	>=dev-haskell/network-2.3:=[profile?] <dev-haskell/network-3.2:=[profile?]
	>=dev-haskell/old-locale-1.0:=[profile?] <dev-haskell/old-locale-1.1:=[profile?]
	>=dev-haskell/snap-core-1.0:=[profile?] <dev-haskell/snap-core-1.1:=[profile?]
	>=dev-haskell/text-0.11:=[profile?] <dev-haskell/text-1.3:=[profile?]
	>=dev-haskell/unix-compat-0.2:=[profile?] <dev-haskell/unix-compat-0.6:=[profile?]
	>=dev-haskell/vector-0.7:=[profile?] <dev-haskell/vector-0.13:=[profile?]
	>=dev-lang/ghc-7.8.2:=
	openssl? ( >=dev-haskell/hsopenssl-0.10.4:=[profile?] <dev-haskell/hsopenssl-0.12:=[profile?]
			>=dev-haskell/openssl-streams-1.1:=[profile?] <dev-haskell/openssl-streams-1.3:=[profile?] )
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.18.1.3
"

RESTRICT=test # tests need old network

src_prepare() {
	default

	cabal_chdeps \
		'base                                >= 4.6      && < 4.15' 'base >= 4.6' \
		'attoparsec                          >= 0.12     && < 0.14' 'attoparsec >=0.12'
}

src_configure() {
	haskell-cabal_src_configure \
		$(cabal_flag pong-server build-pong) \
		$(cabal_flag test-server build-testserver) \
		$(cabal_flag debug debug) \
		$(cabal_flag openssl openssl) \
		--flag=portable
}
