# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

# ebuild generated by hackport 0.7.2.1.9999
#hackport: flags: -developer,-doctest,-aws,-httpbin

CABAL_FEATURES="lib profile haddock hoogle hscolour" # test-suite"
inherit haskell-cabal

DESCRIPTION="An easy-to-use HTTP client library"
HOMEPAGE="https://www.serpentine.com/wreq"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"

RESTRICT=test # requires network

RDEPEND=">=dev-haskell/aeson-0.7.0.3:=[profile?]
	>=dev-haskell/attoparsec-0.11.1.0:=[profile?]
	>=dev-haskell/authenticate-oauth-1.5:=[profile?]
	dev-haskell/base16-bytestring:=[profile?]
	dev-haskell/case-insensitive:=[profile?]
	dev-haskell/cryptonite:=[profile?]
	dev-haskell/hashable:=[profile?]
	>=dev-haskell/http-client-0.6:=[profile?]
	>=dev-haskell/http-client-tls-0.3.3:=[profile?]
	>=dev-haskell/http-types-0.8:=[profile?]
	>=dev-haskell/lens-4.5:=[profile?]
	dev-haskell/lens-aeson:=[profile?]
	dev-haskell/memory:=[profile?]
	dev-haskell/mime-types:=[profile?]
	>=dev-haskell/psqueues-0.2:=[profile?]
	dev-haskell/time-locale-compat:=[profile?]
	dev-haskell/unordered-containers:=[profile?]
	>=dev-lang/ghc-8.10.1:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-3.2.0.0
	>=dev-haskell/cabal-doctest-1.0.2 <dev-haskell/cabal-doctest-1.1"
# 	test? ( >=dev-haskell/aeson-pretty-0.8.0
# 		dev-haskell/base64-bytestring
# 		dev-haskell/hunit
# 		dev-haskell/network-info
# 		>=dev-haskell/quickcheck-2.7
# 		>=dev-haskell/snap-core-1.0.0.0
# 		>=dev-haskell/snap-server-0.9.4.4
# 		dev-haskell/temporary
# 		dev-haskell/test-framework
# 		dev-haskell/test-framework-hunit
# 		dev-haskell/test-framework-quickcheck2
# 		dev-haskell/unix-compat
# 		dev-haskell/uuid
# 		dev-haskell/vector
# 		dev-haskell/doctest )
# "

src_configure() {
	haskell-cabal_src_configure \
		--flag=-aws \
		--flag=-developer \
		--flag=-doctest \
		--flag=-httpbin
}
